
DESCRIPTION = "Image based on the LXDE desktop"

inherit image

XSERVER ?= "xserver-xorg \
           xf86-input-evdev \
           xf86-input-mouse \
           xf86-video-fbdev \
           xf86-video-sisusb \
           xf86-input-keyboard \
           xorg-minimal-fonts \
           xserver-xorg-multimedia-modules \
           xerver-xorg-utils \
           xrandr \
"

export IMAGE_BASENAME = "LXDE-image"

#IMAGE_LINGUAS = "de-de fr-fr en-gb en-us pt-br es-es kn-in ml-in ta-in"
IMAGE_LINGUAS = "en-us"
ROOTFS_POSTPROCESS_COMMAND += 'install_linguas; '
IMAGE_PREPROCESS_COMMAND = "create_etc_timestamp"

IMAGE_LOGIN_MANAGER = "shadow"
IMAGE_SPLASH = "psplash-angstrom"

ANGSTROM_EXTRA_INSTALL ?= ""

#deploy the OpenGL ES headers to the sysroot
DEPENDS = "nvsamples"

IMAGE_INSTALL += " \
  task-base-extended \
  ${ANGSTROM_EXTRA_INSTALL} \
  ${IMAGE_SPLASH} \
  ${XSERVER} \
  \
# Additional X libs not pulled in by any package \
  xtrans libxdamage libxvmc libxinerama libxevie \
# Required for starting X but not RDEPEND by the using package \
  libxcursor \
# glib-2.0 has some additional packages which are not pulled in, let's do this here \
  gobject-2.0 gmodule-2.0 gthread-2.0 gio-2.0 \
  \
  bash \
  tinylogin \
  \
  gstreamer \
#  gst-plugins-base-meta \
#  gst-plugins-good-meta \
#  gst-plugins-bad-meta \
#  gst-ffmpeg \
  gst-plugin-alsa \
  gst-plugin-audioconvert \
  gst-plugin-audioresample \
  gst-plugin-audiotestsrc \
  gst-plugin-qtdemux \
  gst-plugin-rtp\
  gst-plugin-udp \
  gst-plugin-wavenc \
  gst-plugin-wavparse \
  gst-plugins-base \
  gst-plugin-decodebin \
  gst-plugin-decodebin2 \
  gst-plugin-typefindfunctions \
  gst-plugin-avi \
  gst-plugin-asf \
  gst-plugin-mpegdemux \
  gst-plugin-matroska \
  gst-plugin-ivorbisdec \
  gst-plugin-ogg \
  gst-plugin-vorbis \
  gst-plugin-theora \
# needed by nvidia commandline player \
  libpcre \
  \
  libxcomposite \
  firefox \
  flash-plugins \
"

include lx.inc
include trdx-extra.inc

