DESCRIPTION = "LXDE Common Files"
SECTION = "x11"
DEPENDS = ""

WALLPAPER-MACHINE = toradex-neutral.png
WALLPAPER-MACHINE_colibri-t20 = toradex-t20.png
WALLPAPER-MACHINE_colibri-t30 = toradex-t30.png

SRC_URI = "${SOURCEFORGE_MIRROR}/lxde/${PN}-${PV}.tar.gz \
	file://autostart.patch \
	file://consistent_defconfig_dirs.patch \
	file://toradex-neutral.png \
	file://${WALLPAPER-MACHINE} \
	file://wallpaper.patch \
	file://desktop.conf \
	file://defaults.list \
	file://hdmiaudio.sh \
"

SRC_URI[md5sum] = "e51a6b2a815a89fda1f497b509465a97"
SRC_URI[sha256sum] = "ee18a09b64a442b33c1b54f0269649a1b4d9490460c400a07ed785d41bf6dde6"
inherit autotools update-alternatives

FILES_${PN} += "${datadir}/lxde ${datadir}/lxpanel ${datadir}/xsessions"

do_install_append () {
    install -m 0755 -d ${D}/${datadir}/lxde/wallpapers
    install -m 0644 ${WORKDIR}/toradex-*.png  ${D}/${datadir}/lxde/wallpapers/
    ln -sf ${WALLPAPER-MACHINE} ${D}/${datadir}/lxde/wallpapers/toradex.png
    rm  ${D}/etc/xdg/lxsession/LXDE/desktop.conf
    install -m 0644 ${WORKDIR}/desktop.conf ${D}/etc/xdg/lxsession/LXDE/
    install -m 0755 -d ${D}/${datadir}/applications/
    install -m 0644 ${WORKDIR}/defaults.list  ${D}/${datadir}/applications/
    install -m 0755 -d ${D}/${bindir}
    install -m 0755 ${WORKDIR}/hdmiaudio.sh  ${D}/${bindir}/
}

ALTERNATIVE_PATH = "${bindir}/startlxde"
ALTERNATIVE_NAME = "x-window-manager"
ALTERNATIVE_LINK = "${bindir}/x-window-manager"
ALTERNATIVE_PRIORITY = "15"

