require samba.inc
require samba-basic.inc
LICENSE = "GPLv3"
S = "${WORKDIR}/samba-${PV}/source3"

# 3.3.0 and newer will upgrade your tdb database to a
# new version that you can not downgrade to use with older
# releases. More testing will happen before this is removed
# should there be further issues. Appears to work though :)
#DEFAULT_PREFERENCE = "-1"

SRC_URI += "file://config-h.patch \
            file://tdbheaderfix.patch;patchdir=.. \
            file://dont_test_getaddrinfo.patch;patchdir=.."

PR = "r0"

FILES_${PN}     += "${libdir}/idmap/*.so "
FILES_${PN}-dbg += "${libdir}/idmap/.debug/*.so "

EXTRA_OECONF += "\
	SMB_BUILD_CC_NEGATIVE_ENUM_VALUES=yes \
	samba_cv_CC_NEGATIVE_ENUM_VALUES=yes \
	linux_getgrouplist_ok=no \
	samba_cv_HAVE_BROKEN_GETGROUPS=no \
	samba_cv_HAVE_FTRUNCATE_EXTEND=yes \
	samba_cv_have_setresuid=yes \
	samba_cv_have_setresgid=yes \
	samba_cv_HAVE_WRFILE_KEYTAB=yes \
	samba_cv_linux_getgrouplist_ok=yes \
	"

do_configure() {
	oe_runconf
}

do_compile () {
	base_do_compile
}

SRC_URI[md5sum] = "5291717be0734e07dc07b6110e162e87"
SRC_URI[sha256sum] = "c5b0f2ab02fe2c641b1ce52a141c28f1b3fbc093ada8a62eeca70c25e15bd564"
